Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class ConditionTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.taskdefs.condition.ConditionBase
              org.apache.tools.ant.taskdefs.ConditionTask

public class ConditionTask
extends ConditionBase

Task to set a property conditionally using <uptodate>, <available>, and many other supported conditions.

This task supports boolean logic as well as pluggable conditions to decide, whether a property should be set.

This task does not extend Task to take advantage of ConditionBase.

Since:
  Ant 1.4
Version:
  $Revision: 1.10.2.3 $
Author:
  Stefan Bodewig

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`ConditionTask()`

Method Summary
`void` | `execute()` See whether our nested condition holds and set the property.
`void` | `setProperty(java.lang.String p)` The name of the property to set.
`void` | `setValue(java.lang.String v)` The value for the property to set, if condition evaluates to true.

Methods inherited from class org.apache.tools.ant.taskdefs.condition.ConditionBase
`addAnd, addAvailable, addChecksum, addContains, addEquals, addFilesMatch, addHttp, addIsFalse, addIsSet, addIsTrue, addNot, addOr, addOs, addSocket, addUptodate, countConditions, getConditions`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConditionTask

    public ConditionTask()

Method Detail

### setProperty

    public void setProperty(java.lang.String p)

  The name of the property to set. Required.

  Since:
    Ant 1.4

### setValue

    public void setValue(java.lang.String v)

  The value for the property to set, if condition evaluates to true. Defaults to "true".

  Since:
    Ant 1.4

### execute

    public void execute()
                 throws BuildException

  See whether our nested condition holds and set the property.

  Throws:
    `BuildException`
  Since:
    Ant 1.4

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.